### Enumeration

# WebKit2WebExtension HitTestResultContext

#### Declaration

    flags WebKit2WebExtension.HitTestResultContext

#### Description [src]

Enum values with flags representing the context of a `WebKitHitTestResult`.

#### Members

`WEBKIT_HIT_TEST_RESULT_CONTEXT_DOCUMENT`

  Anywhere in the document.

  - Value: `2`
  - Available since: 4.1
`WEBKIT_HIT_TEST_RESULT_CONTEXT_LINK`

  A hyperlink element.

  - Value: `4`
  - Available since: 4.1
`WEBKIT_HIT_TEST_RESULT_CONTEXT_IMAGE`

  An image element.

  - Value: `8`
  - Available since: 4.1
`WEBKIT_HIT_TEST_RESULT_CONTEXT_MEDIA`

  A video or audio element.

  - Value: `16`
  - Available since: 4.1
`WEBKIT_HIT_TEST_RESULT_CONTEXT_EDITABLE`

  An editable element.

  - Value: `32`
  - Available since: 4.1
`WEBKIT_HIT_TEST_RESULT_CONTEXT_SCROLLBAR`

  A scrollbar element.

  - Value: `64`
  - Available since: 4.1
`WEBKIT_HIT_TEST_RESULT_CONTEXT_SELECTION`

  A selected element. Since 2.8.

  - Value: `128`
  - Available since: 4.1